Bug 151305 - Need indication of when separators + number will exceed the width
Summary: Need indication of when separators + number will exceed the width
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.4.1.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Bullets-Numbering-Dialog Bullet-Number-Outline-Lists
  Show dependency treegraph
 
Reported: 2022-10-03 10:18 UTC by Eyal Rozenberg
Modified: 2022-10-29 20:34 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eyal Rozenberg 2022-10-03 10:18:20 UTC
When we edit the numbering details (e.g. in Impress' "More Numbering" on the Numbering menubutton, or in Write) - we specify pre-number and post-number separators, plus a width for the separators+number.

It is easily to mistakenly enter a width value which is insufficient for the number and the separators.

It would be useful if, in the dialog, we could get some indication of whether this happens.

Naturally, that depends on what the number is. But the indication can do one of the following:

* Know what the current number is (or the number after the numbering is applied)
* Use the start-at value
* Say what's the first number with which the width will be exceeded.

I actually don't have a specific suggestion of how this should be done. But - it is annoying to have to figure out that this happened only retrospectively.
Comment 1 Heiko Tietze 2022-10-06 10:17:28 UTC
The help is clear: "Note: The combined total length of Before, After and the numbering characters may override the width setting." A zero width will always show numbers plus separators while some large number provides spacing.

Showing the effect of width in regards to arbitrary numbers, font size, and text sounds like over-engineering to me. Much effort for little benefit. => WF

Besides, bug 151306 requests a larger default and I wonder if automatically inserted tabs after number/separator solves the problem. This width is a weird thing anyway.
Comment 2 Eyal Rozenberg 2022-10-29 20:33:57 UTC
(In reply to Heiko Tietze from comment #1)
> The help is clear

Heiko, you know that help is basically never a replacement for the UI itself... also, help is static, this bug is about something dynamic.

>: "Note: The combined total length of Before, After and the
> numbering characters may override the width setting." 

Right, and I want to know when that _actually_ happens.

> Showing the effect of width in regards to arbitrary numbers, font size, and
> text sounds like over-engineering to me.

Not arbitrary numbers, fonts sizes or text. It can be just the _current paragraph_'s number and font size (when that exists). Didn't understand what you meant by arbitrary text - there's just the number+separators.


> I wonder if automatically
> inserted tabs after number/separator solves the problem.

It would just transform the problem from noticing insufficient width to noticing when the tab character will move you to a far-away tab stop...
Comment 3 Eyal Rozenberg 2022-10-29 20:34:30 UTC
In other words, please consider reopening...